MCP Tools Reference: slidesmcp.googleapis.com

เครื่องมือ: read_presentation

อ่านการแสดง JSON ของงานนำเสนอใน Google สไลด์

สอดคล้องกับ presentations.get ใน REST API

ตัวอย่างต่อไปนี้แสดงวิธีใช้ curl เพื่อเรียกใช้เครื่องมือ read_presentation MCP

คำขอ Curl
curl --location 'https://slidesmcp.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "read_presentation",
    "arguments": {
      // provide these details according to the tool MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

สคีมาอินพุต

ขอสิทธิ์อ่านงานนำเสนอ

ReadPresentationRequest

การแสดง JSON
{
  "presentationId": string
}
ช่อง
presentationId

string

ต้องระบุ รหัสของงานนำเสนอที่จะอ่านเนื้อหา

สคีมาเอาต์พุต

การตอบกลับที่มีการแสดง JSON ของงานนำเสนอ

ReadPresentationResponse

การแสดง JSON
{
  "content": string
}
ช่อง
content

string

การแสดงงานนำเสนอ Google สไลด์เป็น JSON

คำอธิบายประกอบเครื่องมือ

คำแนะนำที่ทำลายล้าง: ❌ | คำแนะนำที่ทำซ้ำได้: ✅ | คำแนะนำแบบอ่านอย่างเดียว: ✅ | คำแนะนำแบบโลกเปิด: ✅